FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103060100.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103060100.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=329a4b0 OS_GIT_VERSION=4.7.0-202103060100.p0-329a4b0 SOURCE_DATE_EPOCH=1607547118 SOURCE_GIT_COMMIT=329a4b06361cef8d70c8424d57466a6f5bcd4a59 SOURCE_GIT_TAG=v0.0.2-103-g329a4b0 SOURCE_GIT_URL=https://github.com/openshift/kubernetes-kube-storage-version-migrator 
WORKDIR /go/src/github.com/kubernetes-sigs/kube-storage-version-migrator
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20210306.014800
ENV __doozer=update BUILD_RELEASE=202103060100.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103060100.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=329a4b0 OS_GIT_VERSION=4.7.0-202103060100.p0-329a4b0 SOURCE_DATE_EPOCH=1607547118 SOURCE_GIT_COMMIT=329a4b06361cef8d70c8424d57466a6f5bcd4a59 SOURCE_GIT_TAG=v0.0.2-103-g329a4b0 SOURCE_GIT_URL=https://github.com/openshift/kubernetes-kube-storage-version-migrator 
COPY --from=builder /go/src/github.com/kubernetes-sigs/kube-storage-version-migrator/migrator /usr/bin/

LABEL \
        name="openshift/ose-kube-storage-version-migrator" \
        com.redhat.component="ose-kube-storage-version-migrator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202103060100.p0" \
        io.openshift.build.commit.id="329a4b06361cef8d70c8424d57466a6f5bcd4a59" \
        io.openshift.build.source-location="https://github.com/openshift/kubernetes-kube-storage-version-migrator" \
        io.openshift.build.commit.url="https://github.com/openshift/kubernetes-kube-storage-version-migrator/commit/329a4b06361cef8d70c8424d57466a6f5bcd4a59" \
        version="v4.7.0"

